KCMAP_PROTO_COLOUR_FUNC(3)

PROTO_FUNC
kcmap_PROTO_colour_func - Modify colour values.

SYNOPSIS
#include <karma_kcmap.h>

void kcmap_PROTO_colour_func

(unsigned int num_cells, unsigned short *reds, unsigned short *greens, unsigned short *blues, unsigned int stride, double x, double y, void *var_param)

DESCRIPTION
This routine will write RGB colour intensity values to a number of colourcells. This routine is called in response to a call to <-kcmap_modify->.

num_cells
    The number of colour cells to modify.

reds
    The array of red intensity values.

greens
    The array of green intensity values.

blues
    The array of blue intensity values.

stride
    The stride (in unsigned shorts) between intensity values in each array.

x   A parameter used to compute the colour values.

y   A parameter used to compute the colour values.

max_cells
    A parameter used to compute the colour values.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/